
package de.ivu.elect.jee.presentation.dynamicform;

public class ReadOnlyPropertyFactory {

  private ReadOnlyPropertyFactory() {
    super();
  }

  public static Property createReadOnlyProperty(String label, Long value) {
    return new ReadOnlyLongProperty(label, value);
  }

  public static Property createReadOnlyProperty(String label, Double value) {
    return new ReadOnlyDoubleProperty(label, value);
  }

  public static Property createReadOnlyProperty(String label, String value) {
    return new ReadOnlyStringProperty(label, value);
  }

  public static Property createReadOnlyProperty(String label, Boolean value) {
    return new ReadOnlyBooleanProperty(label, value);
  }
}
